summaryrefslogtreecommitdiffstats
path: root/development/fpc/fpc.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/fpc/fpc.SlackBuild')
-rw-r--r--development/fpc/fpc.SlackBuild30
1 files changed, 15 insertions, 15 deletions
diff --git a/development/fpc/fpc.SlackBuild b/development/fpc/fpc.SlackBuild
index bee656a10c..a10a526e3e 100644
--- a/development/fpc/fpc.SlackBuild
+++ b/development/fpc/fpc.SlackBuild
@@ -24,14 +24,14 @@
# Modified by the SlackBuilds.org project.
PRGNAM=fpc
-VERSION=${SRCVER:-3.0.0}
-BINVERSION=${BINVERSION:-2.6.4}
+VERSION=${VERSION:-3.0.2}
+BINVERSION=${BINVERSION:-3.0.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -42,16 +42,17 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- ARCH=i386
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- ARCH=x86_64
- LIBDIRSUFFIX="64"
-else
- printf "$ARCH is not supported...\n"
- exit 1
-fi
+case "$ARCH" in
+ i?86) ARCH="i386"
+ LIBDIRSUFFIX=""
+ ;;
+ x86_64) ARCH="x86_64"
+ LIBDIRSUFFIX="64"
+ ;;
+ *) printf "$ARCH is not supported...\n"
+ exit 1
+ ;;
+esac
set -e
@@ -87,7 +88,6 @@ export PATH="$TMP/$PRGNAM-$BINVERSION/bin":$PATH
echo $PATH
cd $TMP/${PRGNAM}build-$VERSION/${PRGNAM}build-$VERSION
-fpcmake -Tall
make build NOGDB=1
make -j1 NOGDB=1 PREFIX=$PKG/usr install
@@ -135,6 +135,6 @@ find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}